/*
 * ============================================================================
 * (C) Copyright IBM Corporation 2007, 2008.  All Rights Reserved.
 * 
 * You may only copy, modify, and distribute these samples internally.
 * These samples have not been tested under all conditions and are provided
 * to you by IBM without obligation of support of any kind.
 *
 * IBM PROVIDES THESE SAMPLES "AS IS" SUBJECT TO ANY STATUTORY WARRANTIES THAT
 * CANNOT BE EXCLUDED. IBM MAKES NO WARRANTIES OR CONDITIONS, EITHER EXPRESS
 * OR IMPLIED, INCLUDING BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OR
 * CONDITIONS OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE, AND
 * NON-INFRINGEMENT REGARDING THESE SAMPLES OR TECHNICAL SUPPORT, IF ANY.
 * ============================================================================
 */
request.headers.out."Content-Type" = "text/plain; charset=\"UTF-8\"";

// Note that this is not reading message from the queue. It is getting
// the message values most recently recorded by onMessageHandler.groovy
def messages = zget("/app/sample/messages");
if (messages == null) {
    println("No messages received.");
} else {
    def last = messages.size() - 1;
    for (i = Math.max(0, last - 4); i <= last; i++) {
        println(messages[i]);
    }
}
